Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.data.redis.core
Interface BoundSetOperations<K,V>

All Superinterfaces:
  BoundKeyOperations<K>

    public interface BoundSetOperations<K,V>

extends BoundKeyOperations<K>

Set operations bound to a certain key.

Method Summary
`Long` | `add(V... values)`
`Set<V>` | `diff(Collection<K> keys)`
`Set<V>` | `diff(K key)`
`void` | `diffAndStore(Collection<K> keys, K destKey)`
`void` | `diffAndStore(K key, K destKey)`
`Set<V>` | `distinctRandomMembers(long count)`
`RedisOperations<K,V>` | `getOperations()`
`Set<V>` | `intersect(Collection<K> keys)`
`Set<V>` | `intersect(K key)`
`void` | `intersectAndStore(Collection<K> keys, K destKey)`
`void` | `intersectAndStore(K key, K destKey)`
`Boolean` | `isMember(Object o)`
`Set<V>` | `members()`
`Boolean` | `move(K destKey, V value)`
`V` | `pop()`
`V` | `randomMember()`
`List<V>` | `randomMembers(long count)`
`Long` | `remove(Object... values)`
`Long` | `size()`
`Set<V>` | `union(Collection<K> keys)`
`Set<V>` | `union(K key)`
`void` | `unionAndStore(Collection<K> keys, K destKey)`
`void` | `unionAndStore(K key, K destKey)`

Methods inherited from interface org.springframework.data.redis.core.BoundKeyOperations
`expire, expireAt, getExpire, getKey, getType, persist, rename`

Method Detail

### getOperations

    RedisOperations<K,V> getOperations()

### diff

    Set<V> diff(K key)

### diff

    Set<V> diff(Collection<K> keys)

### diffAndStore

    void diffAndStore(K key,
                      K destKey)

### diffAndStore

    void diffAndStore(Collection<K> keys,
                      K destKey)

### intersect

    Set<V> intersect(K key)

### intersect

    Set<V> intersect(Collection<K> keys)

### intersectAndStore

    void intersectAndStore(K key,
                           K destKey)

### intersectAndStore

    void intersectAndStore(Collection<K> keys,
                           K destKey)

### union

    Set<V> union(K key)

### union

    Set<V> union(Collection<K> keys)

### unionAndStore

    void unionAndStore(K key,
                       K destKey)

### unionAndStore

    void unionAndStore(Collection<K> keys,
                       K destKey)

### add

    Long add(V... values)

### isMember

    Boolean isMember(Object o)

### members

    Set<V> members()

### move

    Boolean move(K destKey,
                 V value)

### randomMember

    V randomMember()

### distinctRandomMembers

    Set<V> distinctRandomMembers(long count)

### randomMembers

    List<V> randomMembers(long count)

### remove

    Long remove(Object... values)

### pop

    V pop()

### size

    Long size()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD